package net.northking.cctp.scriptcase.dto.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.List;

@JsonSerialize
@ApiModel(description = "录制查询业务组件库")
public class RecordComTreeDto implements Serializable {

    @ApiModelProperty("主键id")
    private String treeId;

    @ApiModelProperty("节点名称")
    private String treeName;

    @ApiModelProperty("节点别名")
    private String treeAlias;

    @ApiModelProperty("是否叶子0-非1-是")
    private String isLeaf;

    @ApiModelProperty("是否目录0-目录1-组件")
    private String isCom;

    @ApiModelProperty("描述")
    private String memo;

    @ApiModelProperty("组件标志0-基础1-业务")
    private String comFlag;

    private Integer orderSeq;
    private String parentId;
    private String libraryName;
    /**
     * 使用状态0-可用1-禁用<br>
     */
    private Integer libraryStatus;
    @ApiModelProperty("子节点")
    private List<RecordComTreeDto> childList;

    private String paramJson;

    @ApiModelProperty("脚本内容")
    private String scriptContent;

    private List<RecordComParamDto> paramList;

    private String version;

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }
    public String getTreeId() {
        return treeId;
    }

    public void setTreeId(String treeId) {
        this.treeId = treeId;
    }

    public String getTreeName() {
        return treeName;
    }

    public void setTreeName(String treeName) {
        this.treeName = treeName;
    }

    public String getIsLeaf() {
        return isLeaf;
    }

    public void setIsLeaf(String isLeaf) {
        this.isLeaf = isLeaf;
    }

    public String getIsCom() {
        return isCom;
    }

    public void setIsCom(String isCom) {
        this.isCom = isCom;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getComFlag() {
        return comFlag;
    }

    public void setComFlag(String comFlag) {
        this.comFlag = comFlag;
    }

    public List<RecordComTreeDto> getChildList() {
        return childList;
    }

    public void setChildList(List<RecordComTreeDto> childList) {
        this.childList = childList;
    }

    public String getParamJson() {
        return paramJson;
    }

    public void setParamJson(String paramJson) {
        this.paramJson = paramJson;
    }

    public Integer getOrderSeq() {
        return orderSeq;
    }

    public void setOrderSeq(Integer orderSeq) {
        this.orderSeq = orderSeq;
    }

    public String getParentId() {
        return parentId;
    }

    public void setParentId(String parentId) {
        this.parentId = parentId;
    }

    public String getScriptContent() {
        return scriptContent;
    }

    public void setScriptContent(String scriptContent) {
        this.scriptContent = scriptContent;
    }

    public List<RecordComParamDto> getParamList() {
        return paramList;
    }

    public void setParamList(List<RecordComParamDto> paramList) {
        this.paramList = paramList;
    }

    public String getLibraryName() {
        return libraryName;
    }

    public void setLibraryName(String libraryName) {
        this.libraryName = libraryName;
    }

    public String getTreeAlias() {
        return treeAlias;
    }

    public void setTreeAlias(String treeAlias) {
        this.treeAlias = treeAlias;
    }

    public Integer getLibraryStatus() {
        return libraryStatus;
    }

    public void setLibraryStatus(Integer libraryStatus) {
        this.libraryStatus = libraryStatus;
    }
}
